#version 150

uniform sampler2D DiffuseSampler;

in vec2 texCoord;
in vec2 sampleStep;

out vec4 fragColor;

void main() {
    vec4 blurred = vec4(0.0);
    float radius = 0.25;
    for (float a = -radius; a <= radius; a += 1.0) {
        blurred += texture(DiffuseSampler, texCoord + sampleStep * a);
    }
    fragColor = vec4((blurred / radius).rgb, blurred.a);
}
